grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.6.1-21-g2a7421f


From: Jim Meyering
Subject: grep branch, master, updated. v2.6.1-21-g2a7421f
Date: Sun, 28 Mar 2010 19:00:21 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  2a7421f3f76e7781db7e712b56076dc576dc94a1 (commit)
       via  04370ef1ee2bcdeda9f8c85f27c6116d6fb341a6 (commit)
       via  46c97344bac16916352b198ac5fbe14c5cd2bf2c (commit)
       via  db9d6340b42a7774fae526f6a90eea3ce834e2d0 (commit)
       via  3a4b54842e934e92b50536d125a7d7c842d5b591 (commit)
       via  123efb3d2ca91e924b3370188d34726f2e8107e0 (commit)
       via  f32e44bb10360465469891289be128ec66a666df (commit)
       via  d0d99971ff63d861d32e83d49eb399c3519a2542 (commit)
       via  da3d9ebff4400a131448b1548bc5e12d8e701ae3 (commit)
      from  c03209e3bb4a64a4ceacf3c02e6ba69cb1457d4d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=2a7421f3f76e7781db7e712b56076dc576dc94a1


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=04370ef1ee2bcdeda9f8c85f27c6116d6fb341a6


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=46c97344bac16916352b198ac5fbe14c5cd2bf2c


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=db9d6340b42a7774fae526f6a90eea3ce834e2d0


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=3a4b54842e934e92b50536d125a7d7c842d5b591


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=123efb3d2ca91e924b3370188d34726f2e8107e0


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=f32e44bb10360465469891289be128ec66a666df


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=d0d99971ff63d861d32e83d49eb399c3519a2542


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=da3d9ebff4400a131448b1548bc5e12d8e701ae3


commit 2a7421f3f76e7781db7e712b56076dc576dc94a1
Author: Norihiro Tanaka <address@hidden>
Date:   Sun Mar 28 18:42:42 2010 +0200

    tests: exercise fix for improper match of incomplete MB char prefix
    
    * tests/prefix-of-multibyte: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 9e0224f..3caeb78 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -44,6 +44,7 @@ TESTS =                                               \
   spencer1.sh                                  \
   spencer1-locale                              \
   status.sh                                    \
+  prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
   yesno.sh
diff --git a/tests/prefix-of-multibyte b/tests/prefix-of-multibyte
new file mode 100644
index 0000000..f9e42bf
--- /dev/null
+++ b/tests/prefix-of-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# This would mistakenly print a line prior to grep-2.6.2.
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+encode() { echo "$1" | tr ABC '\357\274\241'; }
+
+fail=0
+
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  for opt in '' '-F'; do
+    out=out-$opt-$LOC
+    encode ABC | LC_ALL=$LOC grep $opt "$(encode A)" > $out 2>&1
+    test $? = 1 || fail=1
+    compare $out /dev/null || fail=1
+  done
+done
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 NEWS                          |    9 +++++++++
 THANKS                        |    1 +
 gnulib                        |    2 +-
 lib/savedir.c                 |    2 +-
 src/dfasearch.c               |    4 +++-
 src/kwsearch.c                |    8 ++++++--
 src/main.c                    |    3 ++-
 src/search.h                  |    2 +-
 src/searchutils.c             |    5 +++--
 tests/Makefile.am             |    4 +++-
 tests/fgrep-infloop           |   20 ++++++++++++++++++++
 tests/{fmbtest.sh => fmbtest} |   31 ++++++++++++++++---------------
 tests/include-exclude         |   11 +++++++++++
 tests/init.cfg                |    6 ++++++
 tests/prefix-of-multibyte     |   19 +++++++++++++++++++
 15 files changed, 102 insertions(+), 25 deletions(-)
 create mode 100644 tests/fgrep-infloop
 rename tests/{fmbtest.sh => fmbtest} (70%)
 create mode 100644 tests/prefix-of-multibyte


hooks/post-receive
-- 
grep




reply via email to

[Prev in Thread] Current Thread [Next in Thread]